| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | Static Public Member Functions | List of all members
IStateHandler Class Reference
PDFViewCtrl » stateHandler

Interface of StateHandler. More...

Inheritance diagram for IStateHandler:

## Public Member Functions
| constructor (pdfViewer)
| The constructor for constructing an instance of IStateHandler. More...
| destroyDocHandler ()
| Executed when the document is destroyed.
| destroyPageHandler ()
| docHandler (pdfDocRender)
| Binding at the document level. More...
| out ()
| This method is executed when it leaves the current stateHandler.
| pageHandler (pdfPageRender)
| Binding at the page level. More...
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...

## Static Public Member Functions
static | getStateName ()
| The name of the state handler, also a unique identifier. More...
static | setParams (params, pdfViewer)
| This function is called by StateHandlerManager.switchTo, and processes parameters that were passed in.. More...

## Detailed Description

Interface of StateHandler.

## Member Function Documentation

## ◆ constructor()

IStateHandler::constructor | ( |  | pdfViewer | ) |
| inline

The constructor for constructing an instance of IStateHandler.

Parameters

  pdfViewer | PDFViewer - The PDFViewer instance owns this state handler instance.

Since
  9.0.0

## ◆ destroyPageHandler()

IStateHandler::destroyPageHandler | ( |  | ) |
| inline

Executed when the page is destroyed

## ◆ docHandler()

IStateHandler::docHandler | ( |  | pdfDocRender | ) |
| inline

Binding at the document level.

Parameters

  pdfDocRender | PDFDocRender - PDFDocRender

## ◆ getStateName()

static IStateHandler::getStateName | ( |  | ) |
| inline static

The name of the state handler, also a unique identifier.

Returns
  string -

## ◆ pageHandler()

IStateHandler::pageHandler | ( |  | pdfPageRender | ) |
| inline

Binding at the page level.

Parameters

  pdfPageRender | PDFPageRender - PDFPageRender

## ◆ setParams()

static IStateHandler::setParams | ( |  | params,
|  |  | pdfViewer
| ) |  |
| inline static

This function is called by StateHandlerManager.switchTo, and processes parameters that were passed in..

Parameters

  params | object - Parameters come from second parameter of StateHandlerManager.switchTo.
  pdfViewer | PDFViewer -

@2025 Foxit Software Incorporated. All rights reserved.